using System;
using System.Collections.Generic;
using System.Windows;

namespace Khd.Core.Wpf.TaskForm
{
    /// <summary>
    /// EmptyCountForm.xaml 的交互逻辑
    /// </summary>
    public partial class EmptyCountForm : Window
    {
        public static int EmptyTaskCount = 0;
        public static bool IsSelect = false;
        public EmptyCountForm(int min, int max)
        {
            InitializeComponent();
            List<int> ints = new List<int>();
            for (int i = min; i <= max; i++)
            {
                ints.Add(i);
            }
            this.EmptyCount.ItemsSource = ints;
            this.EmptyCount.SelectedIndex = 0;
            IsSelect = false;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            object selectedItem = this.EmptyCount.SelectedItem;
            EmptyTaskCount = Convert.ToInt32(selectedItem);
            IsSelect = true;
            this.Close();
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            IsSelect = false;
            this.Close();
        }
    }
}
